| AOMedia AV1 Codec

MBMIExtFrameBufferInfo Struct Reference

Buffer to store mode information at mi_alloc_bsize (4x4 or 8x8) level. More...

`#include <encoder.h>`

## Data Fields
MB_MODE_INFO_EXT_FRAME * | frame_base
int | alloc_size
int | stride

## Detailed Description

Buffer to store mode information at mi_alloc_bsize (4x4 or 8x8) level.

This is used for bitstream preparation.

## Field Documentation

## ◆ frame_base

MB_MODE_INFO_EXT_FRAME* MBMIExtFrameBufferInfo::frame_base

frame_base[mi_row * stride + mi_col] stores the mode information of block (mi_row,mi_col).

## ◆ alloc_size

int MBMIExtFrameBufferInfo::alloc_size

Size of frame_base buffer.

## ◆ stride

int MBMIExtFrameBufferInfo::stride

Stride of frame_base buffer.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h